# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'customer_score/version'

Gem::Specification.new do |spec|
  spec.name          = "customer_score"
  spec.version       = CustomerScore::VERSION
  spec.authors       = ["zoe heins"]
  spec.email         = ["zcheins@gmail.com"]

  spec.summary       = %q{API wrapper for integrating hypothetical API}
  spec.description   = %q{Allows you to access scoring advice on customer}
  spec.homepage      = "https://github.com/zoeheins/customer_score"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency 'unirest', "~> 1.1.2"
  spec.add_development_dependency "webmock", "~> 1.14.0"
  
end
